com.fasterxml.jackson.core.util

## Class BufferRecyclers

- java.lang.Object
- - com.fasterxml.jackson.core.util.BufferRecyclers

    public class BufferRecyclers
    extends Object

Helper entity used to further

Since:
  2.9.2

### Field Summary

Fields
`protected static ThreadLocal<SoftReference<JsonStringEncoder>>` `_encoderRef` This `ThreadLocal` contains a `SoftReference` to a `BufferRecycler` used to provide a low-cost buffer recycling between reader and writer instances.
`protected static ThreadLocal<SoftReference<BufferRecycler>>` `_recyclerRef` This `ThreadLocal` contains a `SoftReference` to a `BufferRecycler` used to provide a low-cost buffer recycling between reader and writer instances.

### Constructor Summary

Constructors
Constructor and Description
`BufferRecyclers()`

### Method Summary

All Methods Static Methods Concrete Methods
`static BufferRecycler` `getBufferRecycler()`
`static JsonStringEncoder` `getJsonStringEncoder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _recyclerRef

    protected static final ThreadLocal<SoftReference<BufferRecycler>> _recyclerRef

This `ThreadLocal` contains a `SoftReference` to a `BufferRecycler` used to provide a low-cost buffer recycling between reader and writer instances.

#### _encoderRef

    protected static final ThreadLocal<SoftReference<JsonStringEncoder>> _encoderRef

This `ThreadLocal` contains a `SoftReference` to a `BufferRecycler` used to provide a low-cost buffer recycling between reader and writer instances.

### Constructor Detail

#### BufferRecyclers

    public BufferRecyclers()

### Method Detail

#### getBufferRecycler

    public static BufferRecycler getBufferRecycler()

#### getJsonStringEncoder

    public static JsonStringEncoder getJsonStringEncoder()